For the complete documentation index, see llms.txt. This page is also available as Markdown.

Requesting Product Types

List all product types

get

Returns the full set of product type reference values.

Authorizations
AuthorizationstringRequired

JWT access token obtained from POST /authorize. Tokens expire after 15 minutes.

Responses
200

Array of product types.

application/json
typestringOptional

Product type code.

Example: FOLDER_PRODUCT
descriptionstringOptional

Human-readable description of the product type.

get/products/types
GET /products/types HTTP/1.1
Host: api-v2.disasteraware.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "type": "FOLDER_PRODUCT",
    "description": "text"
  }
]

See Authorizing Requests page to get your accessToken.

A product will come in one of the four following types:

Types
Definitions

FOLDER_PRODUCT

These products are used to organize products into logical hierarchies in the DisasterAWARE client application.

FILE_PRODUCT

Products of this type have an associated multi-media file e.g. PDF, Word Document, associated with them.

TEXT_PRODUCT

These products have a text field that contains a message.

URL_PRODUCT

These products are hyperlinks to external resources e.g. a web page.

Last updated